# Publications

This page contains a list of publications
dealing with DFTK or which make use of DFTK.
Feel free to drop us a line if you want your work to be added here.

Since DFTK is mostly developed as part of academic research,
we would greatly appreciate if you cite our research papers as appropriate.
See the [CITATION.bib](https://github.com/JuliaMolSim/DFTK.jl/blob/master/CITATION.bib)
in the root of the DFTK repo for relevant references.
To cite DFTK as a software please use
[![DOI](https://zenodo.org/badge/181734238.svg)](https://zenodo.org/badge/latestdoi/181734238).



- M. F. Herbst, A. Levitt and E. Cancès.
  [*DFTK: A Julian approach for simulating electrons in solids.*](https://doi.org/10.21105/jcon.00069)
  JuliaCon Proceedings, **3**, 69 (2021).

- E. Cancès, G. Kemlin and A. Levitt.
  [*Convergence analysis of direct minimization and self-consistent iterations*](https://doi.org/10.1137/20M1332864)
  SIAM Journal on Matrix Analysis and Applications, **42**, 243 (2021).
  [ArXiv:2004.09088](https://arxiv.org/abs/2004.09088).

- M. F. Herbst and A. Levitt.
  [*Black-box inhomogeneous preconditioning for self-consistent field iterations in density functional theory*](https://doi.org/10.1088/1361-648X/abcbdb).
  Journal of Physics: Condensed Matter, **33**, 085503 (2021).
  [ArXiv:2009.01665](https://arxiv.org/abs/2009.01665).
  ([Supplementary material and computational scripts](https://github.com/mfherbst/supporting-ldos-preconditioning/)).

- M. F. Herbst, A. Levitt and E. Cancès.
  [*A posteriori error estimation for the non-self-consistent Kohn-Sham equations.*](https://doi.org/10.1039/D0FD00048E)
  Faraday Discussions, **224**, 227 (2020).
  [ArXiv:2004.13549](https://arxiv.org/abs/2004.13549).
  ([Reference implementation](https://github.com/mfherbst/error-estimates-nonscf-kohn-sham)).
